.NH 1
The Town Level
.LP
The town level is where you will begin your adventure.  The
town consists of six buildings each with an entrance, some
towns people, and a wall which surrounds the town.  The first time
you are in town it will be daytime, but you may return to find
that darkness has fallen.  (Note that some spells may act
differently in the town level.)

.NH 2
Townspeople
.LP
The town contains many different kinds of people.  There are
the street urchins, young children who will mob an adventurer for
money, and seem to come out of the woodwork when excited.
Blubbering Idiots are a constant annoyance, but not harmful.
Public drunks wander about the town singing, and are of no
threat to anyone.  Sneaky rogues hang about watching for a
likely victim to mug.  And finally, what town would be complete
without a swarm of half drunk warriors, who take offense or
become annoyed just for the fun of it.
.LP
Most of the towns people should be avoided by the largest
possible distance when you wander from store to store.  Fights
will break out though, so be prepared.  Since your character grew
up in this world of intrigue, no experience is awarded for
killing on the town level.

.NH 2
Supplies
.LP
Your character will begin his adventure with some supplies
already on him.  Use the Inventory `i' command to check what
these supplies are.  It will be necessary to buy other supplies
before continuing into the dungeon, however, so be sure to enter
each of the stores.

.NH 2
Town Buildings
.LP
You may enter any of the stores, if they are open, and
barter with the owner for items you can afford.
When bartering, you enter prices you will pay (or accept) for
some object.  You can either enter the absolute amount, or
precede a number with a plus or minus sign to give a positive or negative
increment on your previous offer.
But be warned
that the owners can easily be insulted, and may even throw you
out for a while if you insult them too often.  To enter a store,
simply move onto the entrance represented by the numbers 1
through 6.
.LP
If you consistently bargain well in a store, that is, you reach
the final offer much more often than not, then the store owner will
eventually recognize that you are a superb haggler, and will go directly
to the final offer instead of haggling with you.  Items which cost
less than 10 gold pieces do not count, as haggling well with these items
is usually either very easy or almost impossible.
Also, the store owner will always haggle for items costing more than
1000 gold pieces, because of the amount of money involved.
.LP
Once inside a store, the store inventory will appear on the screen
along with a set of options for your character.  You may browse
the store's inventory if it takes more than one page to display,
and you may sell to, or purchase items from, his inventory.  You can
execute your inventory and equipment commands to see what you are
carrying.  Not shown with the options are the wear, take off, and
exchange commands which will also work, but were excluded to keep
the options simple.
.LP
Stores do not always have everything in stock.  As the game
progresses, they may get new items so check from time to time.
Also, if you sell them an item, it may get sold to a customer
while you are adventuring, so don't always expect to be able to
get back everything you have sold.
.LP
Store owners will not buy harmful or useless items.  If an
object is unidentified, they will pay you some base price for it.
Once they have bought it they will immediately identify the
object.  If it is a good object, they will add it to their
inventory.  If it was a bad bargain, they simply throw the item
away.  In any case, you may receive some knowledge of the item if
another is encountered.
.IP "The General Store"
The General Store sells foods, drinks, some clothing,
torches, lamps, oil, shovels, picks, and spikes.  All of these items,
and some others,
can be sold back to the General store for money.  The entrance to
the General Store is a `1'.
.IP "The Armory"
The Armory is where the town's armor is fashioned.  All
sorts of protective gear may be bought and sold here.  The
entrance to the Armory is a `2'.
.IP "The Weaponsmith\'s Shop"
The Weaponsmith's Shop is where the town's weapons are
fashioned.  Hand and missile weapons may be purchased and sold
here, along with arrows, bolts, and shots.  The entrance to the
Weaponsmith's is a `3'.
.IP "The Temple"
The Temple deals in healing and restoration potions, as well
as bless scrolls, word of recall scrolls, some approved priestly
weapons, etc.  The entrance to the Temple is a `4'.
.IP "The Alchemy shop"
The Alchemy Shop deals in all manner of potions and scrolls.
The entrance to the Alchemy Shop is a `5'.
.IP "The Magic User\'s Shop"
The Magic User's Shop is the most expensive of all the
stores.  It deals in all sorts of rings, wands, amulets, and
staves.  The entrance to the Magic Shop is a `6'.

.NH 1
Within The Dungeon
.LP
Once your character is adequately supplied with food, light,
armor, and weapons, he is ready to enter the dungeon.  Move on
top of the `>' symbol and use the down `>' command.  Your
character enters a maze of interconnecting staircases and finally
passes through a one-way door.  He is now on the first level of
the dungeon (50 feet), and must survive many horrible and
challenging encounters to find the treasure lying about.
.LP
There are two sources for light once inside the dungeon.
Permanent light which has been magically placed within rooms, and
a light source carried by the player.  If neither is present, the
character will be unable to map or see any attackers.  Lack of
light will also affect searching, picking locks, and disarming.
.LP
A character must wield a torch or lamp in order to supply
his own light.  Once a torch or lamp has only 50 or less turns
left before burning out, the message \*QYour light is growing faint\*U
will be displayed at random intervals.  Once a torch is burnt
out, it is useless and can be dropped.  A lamp or lantern can be
refilled with oil by using the Fill `F' command.  You must of
course be carrying extra oil to refill a lantern.

.NH 1
Attacking and Being Attacked
.LP
Attacking is simple in \fImoria\fP.  If you move into a creature,
you attack him.  You can attack from a distance by firing a
missile, or by magical means such as aiming a wand.  Creatures
attack in the same way, if they move into you, they attack you.
Some creatures can also cast spells from a distance, and others
can breathe fire or worse on you from a distance.
.LP
Creatures moving in walls can not be attacked by wands and other magic
attacks normally stopped by walls.  You can attack a creature in a wall
normally though by trying to move into the wall space containing the
creature.  However, in order to attack an invisible creature in
a wall, you must tunnel into the wall containing the creature.  If you
just try to move into the wall, you will bump your head and look quite
silly.
.LP
If you are wielding a weapon, the damage for the weapon is
used when you hit a creature.  Otherwise
you get two fist strikes.  Very strong creatures can do
a lot of damage with their fists...  You may have a
primary weapon, and a secondary weapon which is kept on your
belt or shoulder for immediate use.  You can switch
between your primary and secondary weapons with the exchange
command.  Be sure to wield the proper weapon when
fighting.  Hitting a dragon over the head with a bow will simply
make him mad, and get you killed.
.LP
Missile weapons, such as bows, can be wielded, and then the
proper missile, in this case an arrow, can be fired across the
room into a target.  Missiles can be used without the proper
missile weapon, but used together they have a greater range and
do far more damage.
.LP
Hits and misses are determined by ability to hit versus armor
class.  A hit is a strike that does some damage;
a miss may in fact reach a target, but fails to do any damage.
Higher armor classes
make it harder to do damage, and so lead to more misses.

.NH 2
Monster Memories.
.LP
There are hundreds of different creatures in the mines of \fImoria\fP,
many of which look the same on the screen.
The exact species of a creature can be discovered by looking at it.
It is also very difficult to keep track of the capabilities of
various creatures.  Rather than forcing you to keep notes, \fImoria\fP
automatically keeps track of your experiences with a particular
creature.  This is called the monster memory.  You monster memory
recalls the particular attacks of each creature (whether or not
technically a monster) which you have suffered, as well as recalling
if you have observed them to multiply or move erratically, or drop
treasure, or many other attributes.
.LP
If you have killed enough of a particular creature, or suffered
enough attacks, recalling the monster memory may also provide you with
information not otherwise available, such as a armor class or hit dice.
These are not explained, but may be useful to give the relative danger
of each creature.  This memory can be passed on to a new character
even after you die, by means of a reduced save file.

.NH 2
Your Weapon
.LP
Carrying a weapon in your backpack does you no good.  You
must wield a weapon before it can be used in a fight.
A secondary weapon can be kept by wielding it and then using the
exchange command.  A secondary weapon is not in use, simply
ready to be switched with the current weapon if needed.
.LP
Weapons have two main characteristics, their ability to hit
and their ability to do damage, expressed as `(+#,+#)'.  A normal
weapon would be `(+0,+0)'.  Many weapons in \fImoria\fP have magical
bonuses to hit and/or do damage.  Some weapons are cursed, and
have penalties that hurt the player.  Cursed weapons
cannot be unwielded until the curse is lifted.
.LP
\fIMoria\fP assumes that your youth in the rough environment
near the dungeons
has taught you the relative merits of different
weapons, and displays as part of their description the damage dice which
define their capabilities.
The ability to damage is added to the dice roll for that weapon.
The dice used for a given weapon is displayed as `#d#'.  The first
number indicates how many dice to roll, and the second indicates how many
sides they have.  A \*Q2d6\*U weapon will give damage from 2 to 12, plus any
damage bonus.  The weight of a weapon is also a consideration.  Heavy
weapons may hit harder, but they are also harder to use.
Depending on your strength and the weight of the weapon, you may get
several hits in one turn.
.LP
Missile booster weapons, such as bows, have their characteristics added
to those of the missile used, if the proper weapon/missile combination
is used.
.LP
Although you receive any magical bonuses an unidentified
weapon may possess when you wield it, those bonuses will not be
added in to the displayed values of to-hit and to-dam on your
character sheet.  You must identify the weapon before the
displayed values reflect the real values used.
.LP
Finally, some rare weapons have special abilities.  These are
called ego weapons, and are feared by great and meek.  An ego
sword must be wielded to receive benefit of its abilities.
.LP
Special weapons are denoted by the following abbreviations:
.IP "DF - Defender."
A magical weapon that actually helps the wielder defend
himself, thus increasing his/her armor class, and protecting him/her
against damage from fire, frost, acid, lightning, and falls.
This weapon also will increase your stealth, let you see invisible
creatures, protect you from paralyzation attacks, and help you
regenerate hit points and mana faster.  As a result of the
regerenation ability, you will use up food faster than normal
while wielding such a weapon.
.IP "FB - Frost Brand."
A magical weapon of ice that delivers a cold critical to
heat based creatures.  It will inflict one and a half times
the normal damage when used against a heat based creature.
.IP "FT - Flame Tongue."
A magical weapon of flame that delivers a heat critical
to cold based creatures.  It will inflict one and a half times
the normal damage when used against cold based or
inflammable creatures.
.IP "HA - Holy Avenger."
A Holy Avenger is one of the most powerful of weapons.
A Holy Avenger will increase your strength and your armor class.
This weapon will do extra damage when used against evil and undead
creatures, and will also give you the ability to see invisible
creatures.
.IP "SD - Slay Dragon."
A Slay Dragon weapon is a special purpose weapon whose
sole intent is to destroy dragon-kind.  Therefore, when used
against a dragon, the amount of damage done is four
times the normal amount.
.IP "SE - Slay Evil."
A Slay Evil weapon is a special purpose weapon whose
sole intent is to destroy all forms of evil.  When used
against an evil creature, either alive or undead, the damage
done twice the normal amount.
.IP "SM - Slay Animal."
A Slay Animal weapon is a special purpose weapon whose
sole intent is to destroy all the dangerous animals in the world.
An animal is any creature natural to the world.
Therefore an orc would not be an animal, but a giant snake would
be.  This will inflict twice the normal amount of damage when
used against an animal.
.IP "SU - Slay Undead."
A Slay Undead weapon is a special purpose weapon whose
sole intent is to destroy all forms of undead.  This weapon
is hated and feared by the intelligent undead, for a single
blow from this weapon will inflict three times the normal
amount of damage.
This weapon also gives you the ability to see invisible creatures,
which is especially useful against undead, since many of them
are normally invisible.

.NH 2
Body and Shield Bashes
.LP
Weight is the primary factor in being able to bash
something, but strength plays a role too.  After bashing, a
character may be off balance for several rounds depending upon
his dexterity.
.LP
Doors can be broken down by bashing them.  Once a door is
bashed open, it is forever useless and cannot be closed.
.LP
Chests too may be bashed open, but be warned that the
careless smashing of a chest often ruins the contents.  Bashing
open a chest will not disarm any traps it may contain, but does
allow the strong and ignorant to see what is inside.
.LP
Finally, a creature may be bashed.  If a shield is currently
being worn, the bash is a shield bash and will do more damage.
In either case, a bash may throw an opponent off balance for a
number of rounds, allowing a player to get in a free hit or more.
If the player is thrown off balance, his opponent may get free
hits on him.  This is a risky attack.

.NH 2
Your Armor Class
.LP
Armor class is a number that describes the amount and the
quality of armor being worn.  Armor class will generally run from
about 0 to 60, but could become negative or greater than 60 in
rare cases.
.LP
The larger your armor class, the more protective it is.  A
negative armor class would actually help get you hit.  Armor
protects you in three manners.  One, it makes you harder to be
hit for damage.  A hit for no damage is the same as a miss.  Two,
good armor will absorb some of the damage that your character
would have taken.  An armor class of 30 would absorb 15% of any
damage meant for him.  Three, acid damage is reduced by
wearing body armor.  It is obvious that a high armor class is a
must for surviving the lower levels of \fImoria\fP.
.LP
Each piece of armor has an armor class adjustment, and a
magical bonus.  Armor bought in town will have these values
displayed with their description.  Armor that is found within the
dungeon must be identified before these values will be displayed.
All armor always has the base armor class displayed, to which the
bonus is added.  It is always possible to figure this out anyway,
by watching the effect it has on your displayed armor class.
.LP
Armor class values are always displayed between a set of
brackets as `[#]' or `[#,+#]'.  The first value is the armor
class of the item.  The
second number is the magical bonus of the item which is only
displayed if known, and will always
have a sign preceding the value.  There are a few cases where the
form `[+#]' is used, meaning the object has no armor class, only
a magical armor bonus if worn.
.LP
Some pieces of armor will possess special abilities denoted
by the following abbreviations:
.IP "RA - Resist Acid."
A character using such an object will take only one third normal
damage from any acid thrown upon him.  In addition, armor so
enchanted will resist the acid's effects and not be damaged
by it.
.IP "RC - Resist Cold."
A character using a resist cold object will take only
one third damage from frost and cold.
.IP "RF - Resist Fire."
A character using a resist fire object will take only one
third damage from heat and fire.
.IP "RL - Resist Lightning."
A character using a resist lightning object will take only
one third damage from electrical attacks.
.IP "R - Resistance."
A character wearing armor with this ability will have
resistance to Acid, Cold, Fire, and Lightning as explained in
each part above.

.NH 2
Crowns
.LP
Some crowns also have special magical abilities that improve
your chances in a battle.
.IP "Crown of Might"
This is the great crown of the warriors.  The wearer will
have an increased strength, dexterity, and constituion, and will also be immune
to any foe's attempt to slow or paralyze him or her.
.IP "Crown of the Magi"
 This is the great crown of the wizards.  The wearer will have
an increased intelligence, and will also be given resistance against
fire, frost, acid, and lightning.
.IP "Crown of Lordliness"
This is the great crown of the priests.  The wearer will have
an increased wisdom and charisma.
.IP "Crown of Seeing"
This is the great crown of the rogues.  The wearer will be able
to see even invisible creatures, and will have an increased ability
to locate traps and secret doors.
.IP "Crown of Regeneration"
This crown will help you regenerate hit points and mana more quickly
than normal, allowing you to fight longer before needing to rest.
You will use of food faster than normal while wearing this crown
because of the regenerative effects.
.IP "Crown of Beauty"
This crown looks impressive, and will increase your charisma, but
is otherwise not useful.

.NH 1
Objects Found In The Dungeon
.LP
The mines are full of objects just waiting to be picked up
and used.  How did they get there?  Well, the main source for
useful items are all the foolish adventurers that proceeded into
the dungeon before you.  They get killed, and the helpful
creatures scatter the various treasure throughout the dungeon.
Most cursed items are placed there by the joyful evil sorcerers,
who enjoy a good joke when it gets you killed.
.LP
You pick up objects by moving on top of them.  You can carry
up to 22 different items in your backpack while wearing and
wielding many others.  Although you are limited to 22
different items, you may be carrying several items of each kind
restricted only by the amount of weight your character can carry.
Your weight limit is determined by your strength.
Only one object may occupy a given floor location, which
may or may not also contain one creature.  Doors, traps,
and staircases are considered objects for this purpose.
.LP
If you try to carry more weight than your limit, you will move
more slowly than normal until you drop the extra weight.  If picking
up an object would take you over your weight limit, then you will
be asked whether you really want to pick it up.  It is a good idea
to leave the object alone if you are fleeing from a monster.
.LP
Many objects found within the dungeon have special commands
for their use.  Wands must be Aimed, staves must be Used, scrolls
must be Read, and potions must be Quaffed.  In any case, you must
first be able to carry an object before you can use it.  Some
objects, such as chests, are very complex.  Chests contain other
objects and may be trapped, and/or locked.  Read the list of
player commands carefully for a further understanding of chests.
.LP
One item in particular will be discussed here.  The scroll
of \*QWord of Recall\*U can be found within the dungeon, or bought at
the temple in town.  It acts in two manners, depending upon your
current location.  If read within the dungeon, it will teleport
you back to town.  If read in town, it will teleport you back
down to the deepest level of the dungeon one which your character
has previously been.  This makes the scroll very useful for
getting back to the deeper levels of \fImoria\fP.  Once the scroll has
been read it takes a while for the spell to act, so don't expect
it to save you in a crisis.
.LP
The game provides some automatic inscriptions to help you keep track
of your possessions.  Wands and staves which are known to be empty
will be inscribed with \*Qempty\*U.  Objects which have been tried
at least once, but haven't been identified yet will be inscribed with
\*Qtried\*U.  Cursed objects are inscribed with \*Qdamned\*U.  Also,
occasionally you will notice that something in your inventory or
equipment list seems to be magical.  High level characters are much
more likely to notice this than beginning characters.  When you do
notice this, the item in question will be inscribed with \*Qmagik\*U.
.LP
And lastly, a final warning: not all objects are what they
seem.  Skeletons lying peacefully about the dungeon have been
known to get up...

.NH 2
Cursed Objects
.LP
Some objects, mainly armor and weapons, have had curses laid
upon them.  These horrible objects will look like any other
normal item, but will detract from your character's stats or
abilities if worn.  They will also be impossible to remove until
a remove curse is done.
.LP
If you wear or wield a cursed item, you will immediately feel
something wrong.  The item will also be inscribed \*Qdamned\*U.

.NH 2
Mining
.LP
Much of the treasure within the dungeon can be found only by
mining it out of the walls.  Many rich strikes exist within each
level, but must be found and mined.  Quartz veins are the
richest, yielding the most metals and gems, but magma veins will
have some hordes hidden within.
.LP
Mining is virtually impossible without a pick or shovel.
Picks and shovels have an additional magical ability expressed as `(+#)'.
The higher the number, the better the magical digging
ability of the tool.  A pick or shovel also has pluses
to hit and damage, and can be used as a weapon.
.LP
When a vein of quartz or magma is located, the character
should wield his pick or shovel and begin digging out a section.
When that section is removed, he should locate another section of
the vein, and begin the process again.  Since granite rock is
much harder to dig through, it is much faster to follow the vein
exactly and dig around the granite.
There is an option for highlighting magma and quartz.
.LP
If the character has a scroll or staff of treasure location,
he can immediately locate all strikes of treasure within a vein
shown on the screen.  This makes mining much easier and more
profitable.
.LP
It is sometimes possible to get a character trapped within
the dungeon by using various magical spells and items.  So it is
a very good idea to always carry some kind of digging tool, even
when you are not planning on tunneling for treasure.

.NH 2
Staircases, Secret Doors, Passages, and Rooms
.LP
Staircases are the manner in which you get deeper, or climb
out of the dungeon.  The symbols for the up and down staircases
are the same as the commands to use them.  A `<' represents an up
staircase and a `>' represents a down staircase.  You must move
your character over the staircase before you can use them.
.LP
Each level has at least one up staircase, and at least two
down staircases.  There are no exceptions to this rule.  You may
have trouble finding some well hidden secret doors, but the
stairs are there.
.LP
Many secret doors are used within the dungeon to confuse and
demoralize adventurers foolish enough to enter.  But with some
luck, and lots of concentration, you can find these secret doors.
Secret doors will sometimes hide rooms or corridors, or even
entire sections of that level of the dungeon.  Sometimes they
simply hide small empty closets or even dead ends.
.LP
Creatures in the dungeon will generally know and use these
secret doors.  If they leave one open, you will be able to go
right through it.  If they close it behind them you will have to
search for the catch first.  Once a secret door has been
discovered by you, it is drawn as a known door and no more
searching will be required to use it.

.NH 1
Winning The Game
.LP
Once your character has progressed into killing dragons with
but a mean glance and snap of his fingers, he may be ready to
take on the Balrog.  The Balrog will appear on most levels after
level 49, so don't go down there until you are ready for him.
.LP
The Balrog cannot be killed in some of the easier methods
used on normal creatures.  Because of the Balrog's cunning, he
will teleport away to another level if a spell such as destruction
is used upon him, and the Balrog cannot be polymorphed, slept,
charmed, or genocided.
Magical spells like coldball are effective against him
as are weapons, but he is difficult to kill and if allowed to
escape for a time can heal himself.
.LP
If you should actually survive the attempt of killing the
Balrog, you will receive the status of WINNER.  Since you have
defeated the toughest creature alive, your character is ready to
retire and cannot be saved.  When you quit the game, your
character receives a surprise bonus score.

.NH 1
Upon Death and Dying
.LP
If your character falls below 0 hit points, he has died and
cannot be restored.  A tombstone showing information about your
character will be displayed.
You are also permitted to get a record of your character, and all
your equipment (identified) either on the screen or in a file.
.LP
Your character will leave behind a reduced save file, which contains
only the monster memory and your option choices.  It may be restored,
in which case the new character is generated exactly as if the file
was not there, but the new player will find his monster memory
containing all the experience of past incarnations.

.NH 1
Wizards
.LP
There are rumors of \fImoria\fP Wizards which, if asked nicely,
can explain details of the \fImoria\fP game that seem complicated to
beginners.
