#define INCL_GPI
#define INCL_WIN
#include <os2.h>
#include "rathole.h"
#include <stdlib.h>

#define ID_TIMER 1

MRESULT EXPENTRY ClientWndProc (HWND, USHORT, MPARAM, MPARAM);
MRESULT EXPENTRY AboutDlgProc (HWND, USHORT, MPARAM, MPARAM);
MRESULT EXPENTRY TimeoutDlgProc (HWND, USHORT, MPARAM, MPARAM);

struct config {
  USHORT timeout;
  USHORT x;
  USHORT y;
};

static HWND hwndFrame, hwndClient;
static HAB hab;
static CHAR szClientClass [] = "Rathole";
UCHAR buf [10];
USHORT len = sizeof (struct config);

struct config params;

void main (void)
{
    static ULONG flFrameFlags = FCF_TASKLIST;
    HMQ hmq;
    QMSG qmsg;

    hab = WinInitialize (0);
    hmq = WinCreateMsgQueue (hab, 0);

    WinRegisterClass (hab, szClientClass, ClientWndProc,
		      CS_SIZEREDRAW | CS_MOVENOTIFY, 0);

    hwndFrame = WinCreateStdWindow (HWND_DESKTOP, WS_VISIBLE, &flFrameFlags,
				    szClientClass, NULL, 0L, NULL, 0,
				    &hwndClient);

    if (!WinQueryProfileData (hab, szClientClass, szClientClass, &params, &len)) {
	params.timeout = 10000;
	params.x = 0;
	params.y = 0;
	WinWriteProfileData (hab, szClientClass, szClientClass, &params,
			     sizeof (params));
    }

    WinSetWindowPos (hwndFrame, HWND_BOTTOM, params.x, params.y, 32, 32,
		     SWP_MOVE | SWP_SIZE);

    WinStartTimer (hab, hwndClient, ID_TIMER, params.timeout);

    while (WinGetMsg (hab, &qmsg, NULL, 0, 0))
	WinDispatchMsg (hab, &qmsg);

    WinStopTimer (hab, hwndClient, ID_TIMER);

    WinWriteProfileData (hab, szClientClass, szClientClass, &params, sizeof (params));

    WinDestroyWindow (hwndFrame);
    WinDestroyMsgQueue (hmq);
    WinTerminate (hab);
}

MRESULT EXPENTRY ClientWndProc (HWND hwnd, USHORT msg, MPARAM mp1, MPARAM mp2)
{
    HPS hps;
    static POINTL oldpos, newpos, rect;
    static SWP swp;
    static HPOINTER hptr;
    static HPOINTER hicon;
    static COLOR background;

    switch (msg) {
	case WM_CREATE:
	    oldpos.x = 0;
	    oldpos.y = 0;
	    hptr = WinLoadPointer (HWND_DESKTOP, NULL, PTR_ID);
	    hicon = WinLoadPointer (HWND_DESKTOP, NULL, ICON_ID);
	    background = WinQuerySysColor (HWND_DESKTOP, SYSCLR_BACKGROUND, 0L);

	    return 0;

	case WM_MOVE:
	    WinQueryWindowPos (hwndFrame, &swp);
	    params.x = (USHORT)swp.x;
	    params.y = (USHORT)swp.y;
	    WinWriteProfileData (hab, szClientClass, szClientClass, &params,
				 sizeof (params));
	    return 0;

	case WM_CHAR:
	    if ((CHARMSG(&msg)->fs & (KC_KEYUP | KC_INVALIDCHAR | KC_INVALIDCOMP)) ||
		!(CHARMSG(&msg)->fs & KC_VIRTUALKEY))
		break;
	    switch (CHARMSG(&msg)->vkey) {
		case VK_F2:
		    WinDlgBox (HWND_DESKTOP, hwnd, TimeoutDlgProc, NULL,
			       IDD_TIMEOUTBOX, NULL);
		    break;
		case VK_F3:
		    WinPostMsg (hwnd, WM_QUIT, NULL, NULL);
		    break;
	    }
	    break;

	case WM_HELP:
	    WinDlgBox (HWND_DESKTOP, hwnd, AboutDlgProc, NULL,
		       IDD_ABOUT, NULL);
	    return 0;

	case WM_TIMER:
	    WinQueryPointerPos (HWND_DESKTOP, &newpos);
	    if (newpos.x == oldpos.x && newpos.y == oldpos.y) {
		WinQueryWindowPos (hwndFrame, &swp);
		WinSetPointerPos (HWND_DESKTOP, swp.x + 13, swp.y + 13);
		oldpos.x = swp.x + 13;
		oldpos.y = swp.y + 13;
		WinSetPointer (HWND_DESKTOP, hptr);
	    }
	    else
		oldpos = newpos;
	    return 0;

	case WM_MOUSEMOVE:
	    WinSetPointer (HWND_DESKTOP, hptr);
	    return 1;

	case WM_BUTTON1DOWN:
	    return WinSendMsg (hwndFrame, WM_TRACKFRAME,
			       (MPARAM)(LOUSHORT (mp2) | TF_MOVE), NULL);

	case WM_PAINT:
	    hps = WinBeginPaint (hwnd, NULL, NULL);
	    GpiCreateLogColorTable (hps, 0L, LCOLF_RGB, 0L, 0L, NULL);
	    GpiSetColor (hps, background);
	    rect.x = 0;
	    rect.y = 0;
	    GpiMove (hps, &rect);
	    rect.x = 32;
	    rect.y = 32;
	    GpiBox (hps, DRO_FILL, &rect, 0L, 0L);
	    WinDrawPointer (hps, 0, 0, hicon, DP_NORMAL);
	    WinEndPaint (hps);
	    return 0;

	case WM_DESTROY:
	    WinDestroyPointer (hptr);
	    WinDestroyPointer (hicon);
	    return 0;
    }
    return WinDefWindowProc (hwnd, msg, mp1, mp2);
}

MRESULT EXPENTRY AboutDlgProc (HWND hwnd, USHORT msg, MPARAM mp1, MPARAM mp2)
{
    switch (msg) {
	case WM_COMMAND:
	    switch (COMMANDMSG(&msg)->cmd) {
		case DID_OK:
		case DID_CANCEL:
		    WinDismissDlg (hwnd, TRUE);
		    return 0;
	    }
	    break;
    }
    return WinDefDlgProc (hwnd, msg, mp1, mp2);
}

MRESULT EXPENTRY TimeoutDlgProc (HWND hwnd, USHORT msg, MPARAM mp1, MPARAM mp2)
{
    USHORT temp;

    switch (msg) {
	case WM_INITDLG:
	    WinSendDlgItemMsg (hwnd, IDD_TIMEOUT, EM_SETTEXTLIMIT,
			       MPFROM2SHORT (5,0), NULL);
	    itoa (params.timeout / 1000, buf, 10);
	    WinSetDlgItemText (hwnd, IDD_TIMEOUT, buf);
	    return 0;

	case WM_COMMAND:
	    switch (COMMANDMSG(&msg)->cmd) {
		case DID_OK:
		    WinQueryDlgItemText (hwnd, IDD_TIMEOUT, sizeof (buf), buf);
		    temp = atoi (buf);
		    if (!temp || temp > 65) {
			WinMessageBox (HWND_DESKTOP, HWND_DESKTOP,
				       "Enter a value from 1 to 65.", "Rathole",
				       0, MB_OK | MB_ICONEXCLAMATION);
			WinSetFocus (HWND_DESKTOP,
				     WinWindowFromID (hwnd, IDD_TIMEOUT));
		    }
		    else {
			params.timeout = temp * 1000;
			WinStopTimer (hab, hwndClient, ID_TIMER);
			WinStartTimer (hab, hwndClient, ID_TIMER, params.timeout);
			WinDismissDlg (hwnd, TRUE);
		    }
		    return 0;

		case DID_CANCEL:
		    WinDismissDlg (hwnd, TRUE);
		    return 0;
	    }
	    break;
    }
    return WinDefDlgProc (hwnd, msg, mp1, mp2);
}
