:userdoc.
:title.JIVE and VALSPEAK Documentation
.********************************************************************
.*
.*
.*
:h1.README
:p.
Jive and valspeak are filters that take an ordinary text file
and change selected words into jive (or valspeak).  The original
author of these programs is not listed in the source code; they
were submitted to mod.sources.games by Adams Douglas (adamsd@crash.UUCP).
:lines align=center.
Bill Randle
Moderator, mod.sources.games
Tektronix, Inc.
games-request@tekred.TEK.COM
:elines.
.********************************************************************
.*
.*
.*
:h1.OS/2 Port Notes
:p.
:hp5.Changes&colon.:ehp5.
:ul compact.
:li.Makefile changed to compile both jive and valspeak as default.
:li.IPF help file added in place of documentation.  (README, etc.)
:li.Small explanation of what jive and valspeak are included.
:eul.
:p.
This was compiled with emx-0.8f but it does not require EMX.DLL.
:p.
Since the full, unmodified source and documentation was not included, I
am obligated to tell you that you can get it from the archive site
:hp2.wuarchive.wustl.edu:ehp2. in the directory
:hp8./usenet/comp.sources.misc/volume01:ehp8.
:lines align=center.
Jeff M. Garzik - April 17, 1993
gtd543a@prism.gatech.edu (preferred until June 1997)
jgarzik@nyx.cs.du.edu
jeff.garzik@bbs.oit.unc.edu
:elines.
.********************************************************************
.*
.*
.*
:h1.Description of the "jive" program
:p.
Jive is a text filter.  It takes input from standard input on the
command line (by default, the keyboard), and writes its output to
standard output (by default, the screen).
:p.
Jive will take a normal document as input and translate it into a more
"soul-sounding" document.  As an example, I took the first couple
paragraphs from Michael Crichton's excellent novel,
:hp5.Rising Sun:ehp5., and I ran it through the jive filter on the
command line by typing&colon.
:p.
jive < sample.txt > sample.jiv
:p.
Here's sample.txt...
:font facename=Courier size=16x14.
:lines.
        Actually, I was sitting on my bed in my apartment in Culver
City, watching the Lakers game with the sound turned off, while I tried
to study vocabulary for my introductory Japanese class.
        It was a quiet evening; I had gotten my daughter to sleep about
eight.  Now I had the cassette player on the bed, and the cheerful
woman's voice was saying things like, "Hello, I am a police officer.
Can I be of assistance?" and "Please show me the menu."  After each
sentence, she paused for me to repeat it back, in Japanese.  I stumbled
along as best I could.  Then she would say, "The vegetable store is
closed.  Where is the post office?"  Things like that.  Sometimes it was
hard to concentrate, but I was trying.  "Mr. Hayashi has two children."
:elines.
:font facename=default size=0x0.
:p.And here's sample.jiv...
:font facename=Courier size=16x14.
:lines.
        Actually, ah' wuz sittin' on mah' bed in mah' apartment in
Culver City, watchin' de Lakers game wid de sound turned off, while ah'
tried to study vocabulary fo' mah' introducto'y Japanese class.
        It wuz some quiet evenin'; ah' had gotsten mah' daughta' to
sleep about eight.  Now ah' had da damn cassette playa' on de bed, and
da damn cheerful mama's voice wuz sayin' wahtahmelluns likes, "Hello,
ah' am some honky pigs officer.  Ah be baaad... Can ah' be uh
assistance?" and "Please show me da damn menu.  Man!"  Afta' each
sentence, she paused fo' me t'repeat it back, in Japanese.  What it is,
Mama!  ah' stumbled along as best ah' could.  Den she would say, "De
vegetable sto'e is closed.  Where be de post office?"  Din's likes dat.
Sometimes it wuz hard t'concentrate, but ah' wuz tryin'.  "Mr.  Ah be
baaad... Hayashi gots'ta two children.  'S coo', bro."
:elines.
:font facename=default size=0x0.
.********************************************************************
.*
.*
.*
:h1.Description of the "valspeak" program
:p.
Valspeak is a text filter.  It takes input from standard input on the
command line (by default, the keyboard), and writes its output to
standard output (by default, the screen).
:p.
Valspeak will take a normal document as input and translate it into a more
"valley-girl sounding" document.  As an example, I took the first couple
paragraphs from Michael Crichton's excellent novel,
:hp5.Rising Sun:ehp5., and I ran it through the jive filter on the
command line by typing&colon.
:p.
valspeak < sample.txt > sample.val
:p.
Here's sample.txt...
:font facename=Courier size=16x14.
:lines.
        Actually, I was sitting on my bed in my apartment in Culver
City, watching the Lakers game with the sound turned off, while I tried
to study vocabulary for my introductory Japanese class.
        It was a quiet evening; I had gotten my daughter to sleep about
eight.  Now I had the cassette player on the bed, and the cheerful
woman's voice was saying things like, "Hello, I am a police officer.
Can I be of assistance?" and "Please show me the menu."  After each
sentence, she paused for me to repeat it back, in Japanese.  I stumbled
along as best I could.  Then she would say, "The vegetable store is
closed.  Where is the post office?"  Things like that.  Sometimes it was
hard to concentrate, but I was trying.  "Mr. Hayashi has two children."
:elines.
:font facename=default size=0x0.
:p.And here's sample.val...
:font facename=Courier size=16x14.
:lines.
        Actually, fer shure, I was sittin' on my bed in my apartment in
Culver City, mostly, watchin' thuh Lakers game with thuh sound turned
off, oh, baby, while I tried to study vocabulary for my introductory
Japanese class.
        It was like, ya know, a quiet evenin'; I had gotten my daughter
to sleep about eight.  Now I had thuh cassette player on thuh bed, fer
shure, and thuh cheerful woman's voice was sayin' thin's like, oh, baby,
"Hello, like, I am a police officer. Can I be of assistance?" and
"Please show me thuh menu."  After each sentence, mostly, she paused for
me to repeat it back, oh, baby, in Japanese.  I stumbled along as best I
could.  Then she would say, man, "The vegetable store is closed.  Where
is like wow! the post office?"  Thin's like that.  Sometimes it was hard
to concentrate, mostly, but I was like, ya know, tryin'.  "Mr. Hayashi
has two children."
:elines.
:font facename=default size=0x0.
:euserdoc.

